Subject: Re: LAR papers

From: Nitin H Vaidya <[email-masked]>
Date: Fri, 19 Jun 1998 09:16:48 -0500 (CDT)

hi Chip:

  >> Thanks for your note. I really don't mean to be negative --

Your comments are most welcome.

  >> and if I sound that way, please chalk it up to 5 years in Boston.

I spent 4 years in that general area myself too -:)

  >> These comments about RF propagation, motion scenarios, etc, are
  >> by now just my generic rant. I *do* think, however, that almost
  >> everyone comes up with quite unrealistic results because they
  >> start with over-simplified assumptions. (When life is a fractal,
  >> it's best not to model it as a circle!)

One reason for the simplified assumption, perhaps, is that some of
us Computer Science folks (I can speak for myself) do not have a good
understanding of the RF propagation models.

  >> I don't know what kind of mobility scenario is "average" but
  >> I do know that brownian motion is exceedingly gentle on
  >> the network dynamics. I'd be very happy if the MANET group could
  >> come up with a list of 5 mobility scenarios that seemed realistic
  >> and could exercise various different parts of algorithms. But
  >> alas it seems like we are not moving in that direction.

Brownian motion is clearly not realistic. Most of us end up using this
or other "random motion" models simply because it is not clear what
else to use. Your suggestion that 5 benchamark mobility scenarios be
developed is certainly worth pursuing.

  >> To answer the question you posed below, re simplex links, here's
  >> an interesting paper from my database:
  >> 
  >> Elvino Sousa, John Silvester, Thomas Papavassiliou
  >> Computer-Aided Modeling of Spread Spectrum Packet Radio Networks  (1991)

Thanks for the pointer.

- nitin

  >> VERY INTERESTING factoid. Imagine that you fix the 'u' for a network, ie,
  >> only accept links that have some fixed probability of transmit success, and
  >> reject all other possible links. Then the network contains a surprisingly
  >> high percentage of simplex links -- eyeballing it, I would guess that 1/3
  >> to 1/2 the links are SIMPLEX. This has profound implications for link
  >> formation, as a link-establishment process based on only a few
  >> transmissions may well, erroneously, deduce that a link is duplex whereas
  >> it can really only be used reliably as a simplex link. Not clear, however,
  >> if the 'bad' direction for the link has a P that is only marginally worse
  >> than u; if so, this would probably not be a big problem.
  >> 
  >> This disturbing factoid deserves some careful investigation…"
  >> 
  >> I neglected to record the journal name in my database (sigh).
  >> But presumably one of your students could chase it down, in case you
  >> were interested.
  >> 
  >> I have no idea whether or not the modeling is correct, ie, whether
  >> this effect occurs often in spread spectrum systems. In NTDR we have
  >> not had the luxury of very many field tests, and those were not well
  >> instrumented to answer such questions. We have certainly noticed
  >> a related kind of problem, though, namely that prototype radios
  >> could often transmit but not receive (vis a vis another individual
  >> node). This seemed to be more a hardware anomaly than a feature
  >> of CDMA, however. But still, we don't really have the facts.

  >> 
  >> Yours in confusion,
  >> 
  >> -- Chip
  >> 
  >> 
  >> At 08:14 PM 6/18/98 -0500, you wrote:
  >> >Chip:
  >> >
  >> >Given that the RF propagation patterns are not circular,
  >> >how often do you see the situation where A can send packets
  >> >to B, but B cannot sent to A  (i.e., unidirectional links) ?
  >> >Basically, what fraction of links is unidirectional ?
  >> >Most of the routing schemes fall apart if the links are
  >> >unidirectional (I imagine that unidirectional links are
  >> >not a rarity).
  >> >
  >> >Regards,
  >> > 
  >> >- nitin
  >> >
  >> >
  >> >
  >> >
  >> >  >> From [email-masked] Thu Jun 18 18:55:15 1998
  >> >  >> X-Sender: [email-masked]
  >> >  >> Date: Thu, 18 Jun 1998 19:55:34 -0400
  >> >  >> To: Youngbae - Ko <[email-masked]>, Nitin H Vaidya
  >> <[email-masked]>
  >> >  >> From: Chip Elliott <[email-masked]>
  >> >  >> Subject: LAR papers
  >> >  >> Cc: Chip Elliott <[email-masked]>
  >> >  >> Mime-Version: 1.0
  >> >  >> 
  >> >  >> 
  >> >  >> Thank you very much for a pointer to your papers. They are very
  >> >  >> well written, and are interesting to read.
  >> >  >> 
  >> >  >> May I give some comments? Here I am an engineer, not a researcher,
  >> >  >> and so the comments will be a little bit dull and plodding. But
  >> >  >> maybe they will be a little bit useful, who knows.
  >> >  >> 
  >> >  >> 1. Real RF propagation is not even remotely close to a circular
  >> >  >> pattern. It's more like someone sneezed on a piece of paper. Hence
  >> >  >> geometric reasoning really has no relation to the actual RF
  >> >  >> characteristics. It's very tempting to design protocols based on
  >> >  >> geometric arguments -- our first round of protocols were done this
  >> >  >> way. When we finally used a realistic propagation model, our nice
  >> >  >> 402 node network fell apart into more than 80 partitions. Everything
  >> >  >> looked great on paper; but it was completely wrong. We have learned,
  >> >  >> and now use realistic RF propagation models.
  >> >  >> 
  >> >  >> 2. You're making implicit assumptions about laydowns & the granularity
  >> >  >> of GPS information vs the granularity of RF propagation. These
  >> >  >> assumptions may not be true. For instance, with 400 radios in a
  >> >  >> 20 x 30 km area, with transmit range of about 15 km, would your
  >> >  >> algorithm actually help? Well, it depends, right? I believe that
  >> >  >> your ideas implicitly assume a quite sparse distribution of
  >> >  >> nodes within the transmission range.
  >> >  >> 
  >> >  >> 3. You should add Metricom to your list of geographically based
  >> >  >> routing schemes. They have a very real scheme, with patents, and
  >> >  >> it appears to work ok. That's more than almost any other packet
  >> >  >> radio system!
  >> >  >> 
  >> >  >> Thank you again for pointing me towards you work. I enjoyed
  >> >  >> reading it, and found it thought-provoking.
  >> >  >> 
  >> >  >> Cheers and best wishes,
  >> >  >> 
  >> >  >> -- Chip Elliott
  >> >  >> Lead Scientist, BBN
  >> >  >> 
  >> >  >> 
  >> >
  >>